Mailinglist Archive: opensuse-bugs (4921 mails)

< Previous Next >
[Bug 502553] KDE4 Skrooge fails to run.
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sun, 10 May 2009 14:10:41 -0600 (MDT)
  • Message-id: <20090510201041.A75D9CC74F@xxxxxxxxxxxxxxxxxxxxxx>
http://bugzilla.novell.com/show_bug.cgi?id=502553

User falcon_119@xxxxxxxxxxx added comment
http://bugzilla.novell.com/show_bug.cgi?id=502553#c4


John Doe <falcon_119@xxxxxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
Status|RESOLVED |REOPENED
Resolution|FIXED |




--- Comment #4 from John Doe <falcon_119@xxxxxxxxxxx> 2009-05-10 14:10:41 MDT
---
Sorry, still having the same problem (using
http://download.opensuse.org/repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_42)
when performing an upgrade via YaST Software Management.

justin@pc-justin:~> skrooge
skrooge: error while loading shared libraries: libskgbasegui.so.1: cannot open
shared object file: No such file or directory
justin@pc-justin:~>
justin@pc-justin:~> sudo ls -al /usr/lib64/libskgbaseg*
lrwxrwxrwx 1 root root 18 2009-05-10 14:58 /usr/lib64/libskgbasegui.so ->
libskgbasegui.so.1
justin@pc-justin:~>
justin@pc-justin:~> sudo rpm -qa | grep -i libskgbas*
libskgbankmodeler1-0.2.8-11.1
libskgbankgui1-0.2.8-11.1
libskgbasemodeler1-0.2.8-11.1
libskgbasegui1-0.2.8-11.1
justin@pc-justin:~>

Completely removing all Skrooge packages using YaST and reinstalling also fails
to resolve this. Additionally, the package "libskgbasegui" is no longer listed
as a dependency of Skrooge. However, manually installing that package DOES
resolve this issue.

justin@pc-justin:~> sudo ls -al /usr/lib64/libskgbaseg*
lrwxrwxrwx 1 root root 18 2009-05-10 15:06 /usr/lib64/libskgbasegui.so ->
libskgbasegui.so.1
lrwxrwxrwx 1 root root 44 2009-05-10 15:06 /usr/lib64/libskgbasegui.so.0.2.8 ->
kde4/plugins/designer/libskgbasegui.so.0.2.8
lrwxrwxrwx 1 root root 22 2009-05-10 15:06 /usr/lib64/libskgbasegui.so.1 ->
libskgbasegui.so.0.2.8
justin@pc-justin:~>

So, everything appears to work when uninstalling Skrooge, installing Skrooge,
and then installing the package "libskgbasegui". I'm reopening the bug report
because of the dependency issue (please feel free to close if that should be
filed separately).

--
Configure bugmail: http://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
References